
enum PrivacyConsentType {  
  type1(0),
  type2(1);

  const PrivacyConsentType(this.value);
  final num value;
}

enum AnonymousType{
  none(0),
  pseudoAnonymous(1);

  const AnonymousType(this.value);
  final num value;
}

enum TrackingState{
  noTracking(-1),
  usageAndCrashTrackingWithPII(1),
  onlyUsageTrackingWithPII(2),
  onlyCrashTrackingWithPII(3),
  usageAndCrashTrackingWithoutPII(4),
  onlyUsageTrackingWithoutPII(5),
  onlyCrashTrackingWithoutPII(6);
  
  const TrackingState(this.value);
  final num value;
  
  static TrackingState getByValue(num i){
    return TrackingState.values.firstWhere((x) => x.value == i);
  }
}

enum PrivacyStatus{
  trackingAuthOff(-2),
  unknown(-1),
  unAuthorized(0),
  authorized(1);
  
  const PrivacyStatus(this.value);
  final num value;

  static PrivacyStatus getByValue(num i){
    return PrivacyStatus.values.firstWhere((x) => x.value == i);
  }
}

